Package org.springframework.web.servlet.function

# Interface RenderingResponse

All Superinterfaces:
  `ServerResponse`

public interface RenderingResponse extends ServerResponse
Rendering-specific subtype of `ServerResponse` that exposes model and template data.

Since:
  5.2
Author:
  Arjen Poutsma

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`RenderingResponse.Builder`
Defines a builder for `RenderingResponse`.

## Nested classes/interfaces inherited from interface org.springframework.web.servlet.function.ServerResponse

`ServerResponse.BodyBuilder, ServerResponse.Context, ServerResponse.HeadersBuilder<B extends ServerResponse.HeadersBuilder<B>>, ServerResponse.SseBuilder, ServerResponse.StreamBuilder`

## Method Summary

Modifier and Type
Method
Description
`static RenderingResponse.Builder`
`create(String name)`
Create a builder with the given template name.
`static RenderingResponse.Builder`
`from(RenderingResponse other)`
Create a builder with the template name, status code, headers and model of the given response.
`Map<String,Object>`
`model()`
Return the unmodifiable model map.
`String`
`name()`
Return the name of the template to be rendered.

### Methods inherited from interface org.springframework.web.servlet.function.ServerResponse

`cookies, headers, rawStatusCode, statusCode, writeTo`

## Method Details

### name

String name()
Return the name of the template to be rendered.

### model

Map<String,Object> model()
Return the unmodifiable model map.

### from

static RenderingResponse.Builder from(RenderingResponse other)
Create a builder with the template name, status code, headers and model of the given response.

Parameters:
  `other` - the response to copy the values from
Returns:
  the created builder

### create

static RenderingResponse.Builder create(String name)
Create a builder with the given template name.

Parameters:
  `name` - the name of the template to render
Returns:
  the created builder